_grk_decompress_core_params Struct Reference

Core decompression parameters. More...

`#include <grok.h>`

## Public Attributes

uint8_t | reduce
| Set the number of highest resolution levels to be discarded.
uint16_t | max_layers
| Set the maximum number of quality layers to decompress.
GRK_TILE_CACHE_STRATEGY | tileCacheStrategy
uint32_t | randomAccessFlags_
grk_io_pixels_callback | io_buffer_callback
void * | io_user_data
grk_io_register_reclaim_callback | io_register_client_callback

## Detailed Description

Core decompression parameters.

## Member Data Documentation

## io_buffer_callback

grk_io_pixels_callback _grk_decompress_core_params::io_buffer_callback

## io_register_client_callback

grk_io_register_reclaim_callback _grk_decompress_core_params::io_register_client_callback

## io_user_data

void* _grk_decompress_core_params::io_user_data

## max_layers

uint16_t _grk_decompress_core_params::max_layers

Set the maximum number of quality layers to decompress.

If there are fewer quality layers than the specified number, all quality layers will be decompressed. if != 0, then only the first "layer" layers are decompressed; if == 0 or not used, all the quality layers are decompressed

## randomAccessFlags_

uint32_t _grk_decompress_core_params::randomAccessFlags_

## reduce

uint8_t _grk_decompress_core_params::reduce

Set the number of highest resolution levels to be discarded.

The image resolution is effectively divided by 2 to the power of the number of discarded levels. The reduce factor is limited by the smallest total number of decomposition levels among tiles. if greater than zero, then image is decoded to original dimension divided by 2^(reduce); if equal to zero or not used, image is decompressed to full resolution

## tileCacheStrategy

GRK_TILE_CACHE_STRATEGY _grk_decompress_core_params::tileCacheStrategy

The documentation for this struct was generated from the following file:

- grok.h